> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Fee Config by ID

> Returns the taker fee configuration using Polymarket's updated April 2025 fee structure, looked up by event ID.



## OpenAPI

````yaml GET /api/v1/new_fees/event/id/{eventId}
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/new_fees/event/id/{eventId}:
    get:
      tags:
        - Fees (April 2025)
      summary: Fee config by event ID (April 2025)
      description: >-
        Returns the taker fee configuration using Polymarket's updated April
        2025 fee structure, looked up by event ID.
      operationId: getNewFeesEventById
      parameters:
        - name: eventId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: New fee configuration
        '400':
          description: Missing eventId
        '502':
          description: Gamma API unavailable

````